Package org.eclipse.mat.query.refined

# Interface Filter.ValueConverter

Enclosing class:
  Filter

public static interface Filter.ValueConverter
A ValueConverter attached to a column modifies the cell before it is tested in a filter or displayed. An example is where approximate retained sizes are stored as negative numbers, but need the positive value for display. See `Column.setData(Object, Object)` and see `Column.getData(Object)`, as used in `ContextDerivedData.columnFor(org.eclipse.mat.query.ContextDerivedData.DerivedColumn, org.eclipse.mat.query.IResult, org.eclipse.mat.query.ContextProvider)`

## Method Summary

Modifier and Type
Method
Description
`double`
`convert(double source)`

## Method Details

### convert

double convert(double source)